The Starling class represents the core of the Starling framework.

The Starling framework makes it possible to create 2D applications and games that make use of the Stage3D architecture introduced in Flash Player 11. It implements a display tree system that is very similar to that of conventional Flash, while leveraging modern GPUs to speed up rendering.

The Starling class represents the link between the conventional Flash display tree and the Starling display tree. To create a Starling-powered application, you have to create an instance of the Starling class:

    starling:Starling = new Starling(Game, stage);

The first parameter has to be a Starling display object class, e.g. a subclass of `starling.display.Sprite`. In the sample above, the class "Game" is the application root. An instance of "Game" will be created as soon as Starling is initialized. The second parameter is the conventional (Flash) stage object. Per default, Starling will display its contents directly below the stage.

It is recommended to store the Starling instance as a member variable, to make sure that the Garbage Collector does not destroy it. After creating the Starling object, you have to start it up like this:

    starling.start();

It will now render the contents of the "Game" class in the frame rate that is set up for the application (as defined in the Flash stage).

Context3D Profiles

Stage3D supports different rendering profiles, and Starling works with all of them. The last parameter of the Starling constructor allows you to choose which profile you want. The following profiles are available:

- BASELINE_CONSTRAINED: provides the broadest hardware reach. If you develop for the browser, this is the profile you should test with.
- BASELINE: recommend for any mobile application, as it allows Starling to use a more memory efficient texture type (RectangleTextures). It also supports more complex AGAL code.
- BASELINE_EXTENDED: adds support for textures up to 4096x4096 pixels. This is especially useful on mobile devices with very high resolutions.
- STANDARD_CONSTRAINED, STANDARD, STANDARD_EXTENDED: each provide more AGAL features, among other things. Most Starling games will not gain much from them.

The recommendation is to deploy your app with the profile "auto" (which makes Starling pick the best available of those), but to test it in all available profiles.

Accessing the Starling object

From within your application, you can access the current Starling object anytime through the static method `Starling.current`. It will return the active Starling instance (most applications will only have one Starling object, anyway).

Viewport

The area the Starling content is rendered into is, per default, the complete size of the stage. You can, however, use the "viewPort" property to change it. This can be useful when you want to render only into a part of the screen, or if the player size changes. For the latter, you can listen to the RESIZE-event dispatched by the Starling stage.

Native overlay

Sometimes you will want to display native Flash content on top of Starling. That's what the `nativeOverlay` property is for. It returns a Flash Sprite lying directly on top of the Starling content. You can add conventional Flash objects to that overlay.

Beware, though, that conventional Flash content on top of 3D content can lead to performance penalties on some (mobile) platforms. For that reason, always remove all child objects from the overlay when you don't need them any longer.

Multitouch

Starling supports multitouch input on devices that provide it. During development, where most of us are working with a conventional mouse and keyboard, Starling can simulate multitouch events with the help of the "Shift" and "Ctrl" (Mac: "Cmd") keys. Activate this feature by enabling the `simulateMultitouch` property.

Skipping Unchanged Frames

It happens surprisingly often in an app or game that a scene stays completely static for several frames. So why redraw the stage at all in those situations? That's exactly the point of the `skipUnchangedFrames`-property. If enabled, static scenes are recognized as such and the back buffer is simply left as it is. On a mobile device, the impact of this feature can't be overestimated! There's simply no better way to enhance battery life. Make it a habit to always activate it; look at the documentation of the corresponding property for details.

Handling a lost render context

On some operating systems and under certain conditions (e.g. returning from system sleep), Starling's stage3D render context may be lost. Starling will try to recover from a lost context automatically; to be able to do this, it will cache textures in RAM. This will take up quite a bit of extra memory, though, which might be problematic especially on mobile platforms. To avoid the higher memory footprint, it's recommended to load your textures with Starling's "AssetManager"; it is smart enough to recreate a texture directly from its origin.

In case you want to react to a context loss manually, Starling dispatches an event with the type "Event.CONTEXT3D_CREATE" when the context is restored, and textures will execute their `root.onRestore` callback, to which you can attach your own logic. Refer to the "Texture" class for more information.

Sharing a 3D Context

Per default, Starling handles the Stage3D context itself. If you want to combine Starling with another Stage3D engine, however, this may not be what you want. In this case, you can make use of the `shareContext` property:

1. Manually create and configure a context3D object that both frameworks can work with (ideally through `RenderUtil.requestContext3D` and `context.configureBackBuffer`).
2. Initialize Starling with the stage3D instance that contains that configured context. This will automatically enable `shareContext`.
3. Call `start()` on your Starling instance (as usual). This will make Starling queue input events (keyboard/mouse/touch).
4. Create a game loop (e.g. using the native `ENTER_FRAME` event) and let it call Starling's `nextFrame` as well as the equivalent method of the other Stage3D engine. Surround those calls with `context.clear()` and `context.present()`.

The Starling wiki contains a tutorial with more information about this topic.

@see starling.utils.AssetManager @see starling.textures.Texture

### Hierarchy

- EventDispatcher
  - Starling

## Index

### Constructors

- constructor

### Properties

- antiAliasing
- contentScaleFactor
- context
- contextValid
- enableErrorChecking
- frameID
- isStarted
- juggler
- nativeOverlay
- nativeStage
- painter
- profile
- root
- rootClass
- shareContext
- showStats
- simulateMultitouch
- skipUnchangedFrames
- stage
- stage3D
- supportBrowserZoom
- supportHighResolutions
- touchProcessor
- viewPort
- VERSION
- all
- current
- multitouchEnabled

### Methods

- addEventListener
- advanceTime
- dispatchEvent
- dispatchEventWith
- dispose
- get_antiAliasing
- get_contentScaleFactor
- get_context
- get_contextValid
- get_enableErrorChecking
- get_frameID
- get_isStarted
- get_juggler
- get_nativeOverlay
- get_nativeStage
- get_painter
- get_profile
- get_root
- get_rootClass
- get_shareContext
- get_showStats
- get_simulateMultitouch
- get_skipUnchangedFrames
- get_stage
- get_stage3D
- get_supportBrowserZoom
- get_supportHighResolutions
- get_touchProcessor
- get_viewPort
- hasEventListener
- makeCurrent
- nextFrame
- removeEventListener
- removeEventListeners
- render
- setRequiresRedraw
- set_antiAliasing
- set_enableErrorChecking
- set_rootClass
- set_shareContext
- set_showStats
- set_simulateMultitouch
- set_skipUnchangedFrames
- set_supportBrowserZoom
- set_supportHighResolutions
- set_touchProcessor
- set_viewPort
- showStatsAt
- start
- stop
- stopWithFatalError
- get_all
- get_current
- get_multitouchEnabled
- set_multitouchEnabled

## Constructors

### constructor

- new Starling(rootClass: any, stage: OpenFLStage, viewPort?: Rectangle, stage3D?: Stage3D, renderMode?: Context3DRenderMode, profile?: any, sharedContext?: null | boolean): Starling

- Overrides EventDispatcher.constructor

  - Defined in lib/starling/core/Starling.d.ts:176

  Creates a new Starling instance.

  #### Parameters

  - ##### rootClass: any

    A subclass of 'starling.display.DisplayObject'. It will be created as soon as initialization is finished and will become the first child of the Starling stage. Pass `null` if you don't want to create a root object right away. (You can use the `rootClass` property later to make that happen.)

  - ##### stage: OpenFLStage

    The Flash (2D) stage.

  - ##### Optional viewPort: Rectangle

    A rectangle describing the area into which the content will be rendered. Default: stage size

  - ##### Optional stage3D: Stage3D

    The Stage3D object into which the content will be rendered. If it already contains a context, `sharedContext` will be set to `true`. Default: the first available Stage3D.

  - ##### Optional renderMode: Context3DRenderMode

    The Context3D render mode that should be requested. Use this parameter if you want to force "software" rendering.

  - ##### Optional profile: any

    The Context3D profile that should be requested.

                      <ul>
                      <li>If you pass a profile String, this profile is enforced.</li>
                      <li>Pass an Array of profiles to make Starling pick the first
                          one that works (starting with the first array element).</li>
                      <li>Pass the String "auto" to make Starling pick the best available
                          profile automatically.</li>
                      </ul>

  - ##### Optional sharedContext: null | boolean

  #### Returns Starling

## Properties

### antiAliasing

antiAliasing: number

- Defined in lib/starling/core/Starling.d.ts:299

The antialiasing level. 0 - no antialasing, 16 - maximum antialiasing. @default 0

### contentScaleFactor

contentScaleFactor: number

- Defined in lib/starling/core/Starling.d.ts:310

The ratio between viewPort width and stage width. Useful for choosing a different set of textures depending on the display resolution.

### context

context: Context3D

- Defined in lib/starling/core/Starling.d.ts:279

The render context of this instance.

### contextValid

contextValid: boolean

- Defined in lib/starling/core/Starling.d.ts:422

Indicates if the Context3D object is currently valid (i.e. it hasn't been lost or disposed).

### enableErrorChecking

enableErrorChecking: boolean

- Defined in lib/starling/core/Starling.d.ts:294

Indicates if Stage3D render methods will report errors. It's recommended to activate this when writing custom rendering code (shaders, etc.), since you'll get more detailed error messages. However, it has a very negative impact on performance, and it prevents ATF textures from being restored on a context loss. Never activate for release builds!

default

  false

### frameID

frameID: number

- Defined in lib/starling/core/Starling.d.ts:417

The number of frames that have been rendered since this instance was created.

### isStarted

isStarted: boolean

- Defined in lib/starling/core/Starling.d.ts:266

Indicates if this Starling instance is started.

### juggler

juggler: Juggler

- Defined in lib/starling/core/Starling.d.ts:270

The default juggler of this instance. Will be advanced once per frame.

### nativeOverlay

nativeOverlay: Sprite

- Defined in lib/starling/core/Starling.d.ts:315

A Flash Sprite placed directly on top of the Starling content. Use it to display native Flash components.

### nativeStage

nativeStage: OpenFLStage

- Defined in lib/starling/core/Starling.d.ts:343

The Flash (2D) stage object Starling renders beneath.

### painter

painter: Painter

- Defined in lib/starling/core/Starling.d.ts:275

The painter, which is used for all rendering. The same instance is passed to all `render`methods each frame.

### profile

profile: Context3DProfile

- Defined in lib/starling/core/Starling.d.ts:375

The Context3D profile of the current render context, or `null` if the context has not been created yet.

### root

root: DisplayObject

- Defined in lib/starling/core/Starling.d.ts:348

The instance of the root class provided in the constructor. Available as soon as the event 'ROOT_CREATED' has been dispatched.

### rootClass

rootClass: any

- Defined in lib/starling/core/Starling.d.ts:361

The class that will be instantiated by Starling as the 'root' display object. Must be a subclass of 'starling.display.DisplayObject'.

If you passed `null` as first parameter to the Starling constructor, you can use this property to set the root class at a later time. As soon as the class is instantiated, Starling will dispatch a `ROOT_CREATED` event.

Beware: you cannot change the root class once the root object has been instantiated.

### shareContext

shareContext: boolean

- Defined in lib/starling/core/Starling.d.ts:369

Indicates if another Starling instance (or another Stage3D framework altogether) uses the same render context. If enabled, Starling will not execute any destructive context operations (e.g. not call 'configureBackBuffer', 'clear', 'present', etc. This has to be done manually, then. @default false

### showStats

showStats: boolean

- Defined in lib/starling/core/Starling.d.ts:326

Indicates if a small statistics box (with FPS, memory usage and draw count) is displayed.

Beware that the memory usage should be taken with a grain of salt. The value is determined via `System.totalMemory` and does not take texture memory into account. It is recommended to use Adobe Scout for reliable and comprehensive memory analysis.

### simulateMultitouch

simulateMultitouch: boolean

- Defined in lib/starling/core/Starling.d.ts:284

Indicates if multitouch simulation with "Shift" and "Ctrl"/"Cmd"-keys is enabled. @default false

### skipUnchangedFrames

skipUnchangedFrames: boolean

- Defined in lib/starling/core/Starling.d.ts:405

When enabled, Starling will skip rendering the stage if it hasn't changed since the last frame. This is great for apps that remain static from time to time, since it will greatly reduce power consumption. You should activate this whenever possible!

The reason why it's disabled by default is just that it causes problems with Render- and VideoTextures. When you use those, you either have to disable this property temporarily, or call `setRequiresRedraw()` (ideally on the stage) whenever those textures are changing. Otherwise, the changes won't show up.

@default false

### stage

stage: Stage

- Defined in lib/starling/core/Starling.d.ts:335

The Starling stage object, which is the root of the display tree that is rendered.

### stage3D

stage3D: Stage3D

- Defined in lib/starling/core/Starling.d.ts:339

The Flash Stage3D object Starling renders into.

### supportBrowserZoom

supportBrowserZoom: boolean

- Defined in lib/starling/core/Starling.d.ts:390

If enabled, the Stage3D back buffer will change its size according to the browser zoom value - similar to what's done when "supportHighResolutions" is enabled. The resolution is updated on the fly when the zoom factor changes. Only relevant for the browser plugin. @default false

### supportHighResolutions

supportHighResolutions: boolean

- Defined in lib/starling/core/Starling.d.ts:382

Indicates that if the device supports HiDPI screens Starling will attempt to allocate a larger back buffer than indicated via the viewPort size. Note that this is used on Desktop only; mobile AIR apps still use the "requestedDisplayResolution" parameter the application descriptor XML. @default false

### touchProcessor

touchProcessor: TouchProcessor

- Defined in lib/starling/core/Starling.d.ts:412

The TouchProcessor is passed all mouse and touch input and is responsible for dispatching TouchEvents to the Starling display tree. If you want to handle these types of input manually, pass your own custom subclass to this property.

### viewPort

viewPort: Rectangle

- Defined in lib/starling/core/Starling.d.ts:304

The viewport into which Starling contents will be rendered.

### Static VERSION

VERSION: string

- Defined in lib/starling/core/Starling.d.ts:176

The version of the Starling framework.

### Static all

all: Vector<Starling>

- Defined in lib/starling/core/Starling.d.ts:432

All Starling instances.

CAUTION: not a copy, but the actual object! Do not modify!

### Static current

current: Starling

- Defined in lib/starling/core/Starling.d.ts:428

The currently active Starling instance.

### Static multitouchEnabled

multitouchEnabled: boolean

- Defined in lib/starling/core/Starling.d.ts:451

Indicates if multitouch input should be supported.

## Methods

### addEventListener

- addEventListener(type: string, listener: Function): void

- Inherited from EventDispatcher.addEventListener

  - Defined in lib/starling/events/EventDispatcher.d.ts:32

  Registers an event listener at a certain object.

  #### Parameters

  - ##### type: string

  - ##### listener: Function

  #### Returns void

### advanceTime

- advanceTime(passedTime: number): void

- - Defined in lib/starling/core/Starling.d.ts:220

  Dispatches ENTER_FRAME events on the display list, advances the Juggler and processes touches.

  #### Parameters

  - ##### passedTime: number

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): void

- Inherited from EventDispatcher.dispatchEvent

  - Defined in lib/starling/events/EventDispatcher.d.ts:45

  Dispatches an event to all objects that have registered listeners for its type. If an event with enabled 'bubble' property is dispatched to a display object, it will travel up along the line of parents, until it either hits the root object or someone stops its propagation manually.

  #### Parameters

  - ##### event: Event

  #### Returns void

### dispatchEventWith

- dispatchEventWith(type: string, bubbles?: boolean, data?: any): void

- Inherited from EventDispatcher.dispatchEventWith

  - Defined in lib/starling/events/EventDispatcher.d.ts:50

  Dispatches an event with the given parameters to all objects that have registered listeners for the given type. The method uses an internal pool of event objects to avoid allocations.

  #### Parameters

  - ##### type: string

  - ##### Optional bubbles: boolean

  - ##### Optional data: any

  #### Returns void

### dispose

- dispose(): void

- - Defined in lib/starling/core/Starling.d.ts:210

  Disposes all children of the stage and the render context; removes all registered event listeners.

  #### Returns void

### Protected get_antiAliasing

- get_antiAliasing(): number

- - Defined in lib/starling/core/Starling.d.ts:300

  #### Returns number

### Protected get_contentScaleFactor

- get_contentScaleFactor(): number

- - Defined in lib/starling/core/Starling.d.ts:311

  #### Returns number

### Protected get_context

- get_context(): Context3D

- - Defined in lib/starling/core/Starling.d.ts:280

  #### Returns Context3D

### Protected get_contextValid

- get_contextValid(): boolean

- - Defined in lib/starling/core/Starling.d.ts:423

  #### Returns boolean

### Protected get_enableErrorChecking

- get_enableErrorChecking(): boolean

- - Defined in lib/starling/core/Starling.d.ts:295

  #### Returns boolean

### Protected get_frameID

- get_frameID(): number

- - Defined in lib/starling/core/Starling.d.ts:418

  #### Returns number

### Protected get_isStarted

- get_isStarted(): boolean

- - Defined in lib/starling/core/Starling.d.ts:267

  #### Returns boolean

### Protected get_juggler

- get_juggler(): Juggler

- - Defined in lib/starling/core/Starling.d.ts:271

  #### Returns Juggler

### Protected get_nativeOverlay

- get_nativeOverlay(): Sprite

- - Defined in lib/starling/core/Starling.d.ts:316

  #### Returns Sprite

### Protected get_nativeStage

- get_nativeStage(): OpenFLStage

- - Defined in lib/starling/core/Starling.d.ts:344

  #### Returns OpenFLStage

### Protected get_painter

- get_painter(): Painter

- - Defined in lib/starling/core/Starling.d.ts:276

  #### Returns Painter

### Protected get_profile

- get_profile(): Context3DProfile

- - Defined in lib/starling/core/Starling.d.ts:376

  #### Returns Context3DProfile

### Protected get_root

- get_root(): DisplayObject

- - Defined in lib/starling/core/Starling.d.ts:349

  #### Returns DisplayObject

### Protected get_rootClass

- get_rootClass(): any

- - Defined in lib/starling/core/Starling.d.ts:362

  #### Returns any

### Protected get_shareContext

- get_shareContext(): boolean

- - Defined in lib/starling/core/Starling.d.ts:370

  #### Returns boolean

### Protected get_showStats

- get_showStats(): boolean

- - Defined in lib/starling/core/Starling.d.ts:327

  #### Returns boolean

### Protected get_simulateMultitouch

- get_simulateMultitouch(): boolean

- - Defined in lib/starling/core/Starling.d.ts:285

  #### Returns boolean

### Protected get_skipUnchangedFrames

- get_skipUnchangedFrames(): boolean

- - Defined in lib/starling/core/Starling.d.ts:406

  #### Returns boolean

### Protected get_stage

- get_stage(): Stage

- - Defined in lib/starling/core/Starling.d.ts:336

  #### Returns Stage

### Protected get_stage3D

- get_stage3D(): Stage3D

- - Defined in lib/starling/core/Starling.d.ts:340

  #### Returns Stage3D

### Protected get_supportBrowserZoom

- get_supportBrowserZoom(): boolean

- - Defined in lib/starling/core/Starling.d.ts:391

  #### Returns boolean

### Protected get_supportHighResolutions

- get_supportHighResolutions(): boolean

- - Defined in lib/starling/core/Starling.d.ts:383

  #### Returns boolean

### Protected get_touchProcessor

- get_touchProcessor(): TouchProcessor

- - Defined in lib/starling/core/Starling.d.ts:413

  #### Returns TouchProcessor

### Protected get_viewPort

- get_viewPort(): Rectangle

- - Defined in lib/starling/core/Starling.d.ts:305

  #### Returns Rectangle

### hasEventListener

- hasEventListener(type: string, listener?: any): boolean

- Inherited from EventDispatcher.hasEventListener

  - Defined in lib/starling/events/EventDispatcher.d.ts:55

  If called with one argument, figures out if there are any listeners registered for the given event type. If called with two arguments, also determines if a specific listener is registered.

  #### Parameters

  - ##### type: string

  - ##### Optional listener: any

  #### Returns boolean

### makeCurrent

- makeCurrent(): void

- - Defined in lib/starling/core/Starling.d.ts:235

  Make this Starling instance the `current` one.

  #### Returns void

### nextFrame

- nextFrame(): void

- - Defined in lib/starling/core/Starling.d.ts:216

  Calls `advanceTime()` (with the time that has passed since the last frame) and `render()`.

  #### Returns void

### removeEventListener

- removeEventListener(type: string, listener: Function): void

- Inherited from EventDispatcher.removeEventListener

  - Defined in lib/starling/events/EventDispatcher.d.ts:35

  Removes an event listener from the object.

  #### Parameters

  - ##### type: string

  - ##### listener: Function

  #### Returns void

### removeEventListeners

- removeEventListeners(type?: string): void

- Inherited from EventDispatcher.removeEventListeners

  - Defined in lib/starling/events/EventDispatcher.d.ts:39

  Removes all event listeners with a certain type, or all of them if type is null. Be careful when removing all event listeners: you never know who else was listening.

  #### Parameters

  - ##### Optional type: string

  #### Returns void

### render

- render(): void

- - Defined in lib/starling/core/Starling.d.ts:228

  Renders the complete display list. Before rendering, the context is cleared; afterwards, it is presented (to avoid this, enable `shareContext`).

  This method also dispatches an `Event.RENDER`-event on the Starling instance. That's the last opportunity to make changes before the display list is rendered.

  #### Returns void

### setRequiresRedraw

- setRequiresRedraw(): void

- - Defined in lib/starling/core/Starling.d.ts:261

  Makes sure that the next frame is actually rendered.

  When `skipUnchangedFrames` is enabled, some situations require that you manually force a redraw, e.g. when a RenderTexture is changed. This method is the easiest way to do so; it's just a shortcut to `stage.setRequiresRedraw()`.

  #### Returns void

### Protected set_antiAliasing

- set_antiAliasing(value: number): number

- - Defined in lib/starling/core/Starling.d.ts:301

  #### Parameters

  - ##### value: number

  #### Returns number

### Protected set_enableErrorChecking

- set_enableErrorChecking(value: boolean): boolean

- - Defined in lib/starling/core/Starling.d.ts:296

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_rootClass

- set_rootClass(value: any): any

- - Defined in lib/starling/core/Starling.d.ts:363

  #### Parameters

  - ##### value: any

  #### Returns any

### Protected set_shareContext

- set_shareContext(value: boolean): boolean

- - Defined in lib/starling/core/Starling.d.ts:371

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_showStats

- set_showStats(value: boolean): boolean

- - Defined in lib/starling/core/Starling.d.ts:328

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_simulateMultitouch

- set_simulateMultitouch(value: boolean): boolean

- - Defined in lib/starling/core/Starling.d.ts:286

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_skipUnchangedFrames

- set_skipUnchangedFrames(value: boolean): boolean

- - Defined in lib/starling/core/Starling.d.ts:407

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_supportBrowserZoom

- set_supportBrowserZoom(value: boolean): boolean

- - Defined in lib/starling/core/Starling.d.ts:392

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_supportHighResolutions

- set_supportHighResolutions(value: boolean): boolean

- - Defined in lib/starling/core/Starling.d.ts:384

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_touchProcessor

- set_touchProcessor(value: TouchProcessor): TouchProcessor

- - Defined in lib/starling/core/Starling.d.ts:414

  #### Parameters

  - ##### value: TouchProcessor

  #### Returns TouchProcessor

### Protected set_viewPort

- set_viewPort(value: Rectangle): Rectangle

- - Defined in lib/starling/core/Starling.d.ts:306

  #### Parameters

  - ##### value: Rectangle

  #### Returns Rectangle

### showStatsAt

- showStatsAt(horizontalAlign?: string, verticalAlign?: string, scale?: number): void

- - Defined in lib/starling/core/Starling.d.ts:331

  Displays the statistics box at a certain position.

  #### Parameters

  - ##### Optional horizontalAlign: string

  - ##### Optional verticalAlign: string

  - ##### Optional scale: number

  #### Returns void

### start

- start(): void

- - Defined in lib/starling/core/Starling.d.ts:241

  As soon as Starling is started, it will queue input events (keyboard/mouse/touch); furthermore, the method `nextFrame` will be called once per Flash Player frame. (Except when `shareContext` is enabled: in that case, you have to call that method manually.)

  #### Returns void

### stop

- stop(suspendRendering?: boolean): void

- - Defined in lib/starling/core/Starling.d.ts:252

  Stops all logic and input processing, effectively freezing the app in its current state. Per default, rendering will continue: that's because the classic display list is only updated when stage3D is. (If Starling stopped rendering, conventional Flash contents would freeze, as well.)

  However, if you don't need classic Flash contents, you can stop rendering, too. On some mobile systems (e.g. iOS), you are even required to do so if you have activated background code execution.

  #### Parameters

  - ##### Optional suspendRendering: boolean

  #### Returns void

### stopWithFatalError

- stopWithFatalError(message: string): void

- - Defined in lib/starling/core/Starling.d.ts:232

  Stops Starling right away and displays an error message on the native overlay. This method will also cause Starling to dispatch a FATAL_ERROR event.

  #### Parameters

  - ##### message: string

  #### Returns void

### Static Protected get_all

- get_all(): Vector<Starling>

- - Defined in lib/starling/core/Starling.d.ts:433

  #### Returns Vector<Starling>

### Static Protected get_current

- get_current(): Starling

- - Defined in lib/starling/core/Starling.d.ts:429

  #### Returns Starling

### Static Protected get_multitouchEnabled

- get_multitouchEnabled(): boolean

- - Defined in lib/starling/core/Starling.d.ts:452

  #### Returns boolean

### Static Protected set_multitouchEnabled

- set_multitouchEnabled(value: boolean): boolean

- - Defined in lib/starling/core/Starling.d.ts:453

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

Generated using TypeDoc